Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicUno Class Referencefinal

Internal: virtual class to store a Sdr graphic uno. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicUno:

## Public Member Functions
| SdrGraphicUno ()
| constructor More...
| ~SdrGraphicUno () final
| destructor More...
std::string | print () const final
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
| SdrGraphicRect (int id)
| constructor More...
| ~SdrGraphicRect () override
| destructor More...
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool inMasterPage) override
| try to send the graphic to the listener More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicText
| SdrGraphicText (int id)
| constructor More...
| ~SdrGraphicText () override
| destructor More...
void | updateTransformProperties (librevenge::RVNGPropertyList &list, double relUnit) const
| try to update the transformation More...
bool | sendTextZone (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object)
| try to send the text zone to the listener More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
| SdrGraphicAttribute (int id)
| constructor More...
| ~SdrGraphicAttribute () override
| destructor More...
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor More...
| ~SdrGraphic () override
| destructor More...
std::string | getName () const override
| return the object name More...
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object More...
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...

## Public Attributes
librevenge::RVNGString | m_unoName
| the uno name More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
int | m_eckRag
| the eckRag? More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicText
int | m_textKind
| the text kind More...
STOFFBox2i | m_textRectangle
| the text rectangle More...
int | m_textDrehWink
| the dreh wink: rotation? More...
int | m_textShearWink
| the shear wink More...
std::shared_ptr< OutlinerParaObject > | m_outlinerParaObject
| the outliner object More...
STOFFBox2i | m_textBound
| the text bound More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
std::vector< std::shared_ptr< StarItem > > | m_itemList
| the list of star item More...
librevenge::RVNGString | m_sheetStyle
| the sheet style name More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox More...
int | m_layerId
| the layer id More...
STOFFVec2i | m_anchorPosition
| the anchor position More...
std::vector< GluePoint > | m_polygon
| a polygon More...
bool | m_flags [6]
| a list of flag More...
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicUno const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a Sdr graphic uno.

## Constructor & Destructor Documentation

## ◆ SdrGraphicUno()

StarObjectSmallGraphicInternal::SdrGraphicUno::SdrGraphicUno | ( |  | ) |
| inline

constructor

## ◆ ~SdrGraphicUno()

StarObjectSmallGraphicInternal::SdrGraphicUno::~SdrGraphicUno | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string StarObjectSmallGraphicInternal::SdrGraphicUno::print | ( |  | ) | const
| inline final virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicRect.

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | SdrGraphicUno const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

## ◆ m_unoName

librevenge::RVNGString StarObjectSmallGraphicInternal::SdrGraphicUno::m_unoName

the uno name

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx